
From: David Teigland <teigland@redhat.com>

This patch makes needlessly global code static.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: David Teigland <teigland@redhat.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/dlm/lock.c      |   10 +++++-----
 drivers/dlm/lockspace.c |    6 +++---
 drivers/dlm/main.c      |    4 ++--
 drivers/dlm/member.c    |    6 +++---
 drivers/dlm/recover.c   |    2 +-
 drivers/dlm/recoverd.c  |    2 +-
 6 files changed, 15 insertions(+), 15 deletions(-)

diff -puN drivers/dlm/lock.c~dlm-recovery-make-code-static drivers/dlm/lock.c
--- devel/drivers/dlm/lock.c~dlm-recovery-make-code-static	2005-07-16 13:35:45.000000000 -0700
+++ devel-akpm/drivers/dlm/lock.c	2005-07-16 13:35:46.000000000 -0700
@@ -92,7 +92,7 @@ static int receive_extralen(struct dlm_m
  * Usage: matrix[grmode+1][rqmode+1]  (although m[rq+1][gr+1] is the same)
  */
 
-const int __dlm_compat_matrix[8][8] = {
+static const int __dlm_compat_matrix[8][8] = {
       /* UN NL CR CW PR PW EX PD */
         {1, 1, 1, 1, 1, 1, 1, 0},       /* UN */
         {1, 1, 1, 1, 1, 1, 1, 0},       /* NL */
@@ -139,7 +139,7 @@ int dlm_modes_compat(int mode1, int mode
  * Usage: matrix[grmode+1][rqmode+1]
  */
 
-const int __quecvt_compat_matrix[8][8] = {
+static const int __quecvt_compat_matrix[8][8] = {
       /* UN NL CR CW PR PW EX PD */
         {0, 0, 0, 0, 0, 0, 0, 0},       /* UN */
         {0, 0, 1, 1, 1, 1, 1, 0},       /* NL */
@@ -1630,8 +1630,8 @@ static int set_unlock_args(uint32_t flag
 	return 0;
 }
 
-int validate_lock_args(struct dlm_ls *ls, struct dlm_lkb *lkb,
-		       struct dlm_args *args)
+static int validate_lock_args(struct dlm_ls *ls, struct dlm_lkb *lkb,
+			      struct dlm_args *args)
 {
 	int rv = -EINVAL;
 
@@ -1685,7 +1685,7 @@ int validate_lock_args(struct dlm_ls *ls
 	return rv;
 }
 
-int validate_unlock_args(struct dlm_lkb *lkb, struct dlm_args *args)
+static int validate_unlock_args(struct dlm_lkb *lkb, struct dlm_args *args)
 {
 	int rv = -EINVAL;
 
diff -puN drivers/dlm/lockspace.c~dlm-recovery-make-code-static drivers/dlm/lockspace.c
--- devel/drivers/dlm/lockspace.c~dlm-recovery-make-code-static	2005-07-16 13:35:45.000000000 -0700
+++ devel-akpm/drivers/dlm/lockspace.c	2005-07-16 13:35:46.000000000 -0700
@@ -47,7 +47,7 @@ int dlm_lockspace_init(void)
 	return 0;
 }
 
-int dlm_scand(void *data)
+static int dlm_scand(void *data)
 {
 	struct dlm_ls *ls;
 
@@ -60,7 +60,7 @@ int dlm_scand(void *data)
 	return 0;
 }
 
-int dlm_scand_start(void)
+static int dlm_scand_start(void)
 {
 	struct task_struct *p;
 	int error = 0;
@@ -73,7 +73,7 @@ int dlm_scand_start(void)
 	return error;
 }
 
-void dlm_scand_stop(void)
+static void dlm_scand_stop(void)
 {
 	kthread_stop(scand_task);
 }
diff -puN drivers/dlm/main.c~dlm-recovery-make-code-static drivers/dlm/main.c
--- devel/drivers/dlm/main.c~dlm-recovery-make-code-static	2005-07-16 13:35:45.000000000 -0700
+++ devel-akpm/drivers/dlm/main.c	2005-07-16 13:35:46.000000000 -0700
@@ -24,7 +24,7 @@ void dlm_unregister_debugfs(void);
 int dlm_node_ioctl_init(void);
 void dlm_node_ioctl_exit(void);
 
-int __init init_dlm(void)
+static int __init init_dlm(void)
 {
 	int error;
 
@@ -68,7 +68,7 @@ int __init init_dlm(void)
 	return error;
 }
 
-void __exit exit_dlm(void)
+static void __exit exit_dlm(void)
 {
 	dlm_lowcomms_exit();
 	dlm_member_sysfs_exit();
diff -puN drivers/dlm/member.c~dlm-recovery-make-code-static drivers/dlm/member.c
--- devel/drivers/dlm/member.c~dlm-recovery-make-code-static	2005-07-16 13:35:46.000000000 -0700
+++ devel-akpm/drivers/dlm/member.c	2005-07-16 13:35:46.000000000 -0700
@@ -47,7 +47,7 @@ static void add_ordered_member(struct dl
 	}
 }
 
-int dlm_add_member(struct dlm_ls *ls, int nodeid)
+static int dlm_add_member(struct dlm_ls *ls, int nodeid)
 {
 	struct dlm_member *memb;
 
@@ -61,13 +61,13 @@ int dlm_add_member(struct dlm_ls *ls, in
 	return 0;
 }
 
-void dlm_remove_member(struct dlm_ls *ls, struct dlm_member *memb)
+static void dlm_remove_member(struct dlm_ls *ls, struct dlm_member *memb)
 {
 	list_move(&memb->list, &ls->ls_nodes_gone);
 	ls->ls_num_nodes--;
 }
 
-int dlm_is_member(struct dlm_ls *ls, int nodeid)
+static int dlm_is_member(struct dlm_ls *ls, int nodeid)
 {
 	struct dlm_member *memb;
 
diff -puN drivers/dlm/recover.c~dlm-recovery-make-code-static drivers/dlm/recover.c
--- devel/drivers/dlm/recover.c~dlm-recovery-make-code-static	2005-07-16 13:35:46.000000000 -0700
+++ devel-akpm/drivers/dlm/recover.c	2005-07-16 13:35:46.000000000 -0700
@@ -235,7 +235,7 @@ static struct dlm_rsb *recover_list_find
 	return r;
 }
 
-void recover_list_clear(struct dlm_ls *ls)
+static void recover_list_clear(struct dlm_ls *ls)
 {
 	struct dlm_rsb *r, *s;
 
diff -puN drivers/dlm/recoverd.c~dlm-recovery-make-code-static drivers/dlm/recoverd.c
--- devel/drivers/dlm/recoverd.c~dlm-recovery-make-code-static	2005-07-16 13:35:46.000000000 -0700
+++ devel-akpm/drivers/dlm/recoverd.c	2005-07-16 13:35:46.000000000 -0700
@@ -658,7 +658,7 @@ static void do_ls_recovery(struct dlm_ls
 	}
 }
 
-int dlm_recoverd(void *arg)
+static int dlm_recoverd(void *arg)
 {
 	struct dlm_ls *ls;
 
_
